Package net.shibboleth.idp.saml.attribute.resolver.impl

# Class SAML1NameIdentifierAttributeDefinition

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
net.shibboleth.idp.attribute.resolver.AbstractResolverPlugin<IdPAttribute>
net.shibboleth.idp.attribute.resolver.AbstractAttributeDefinition
net.shibboleth.idp.saml.attribute.resolver.impl.SAML1NameIdentifierAttributeDefinition

All Implemented Interfaces:
  `AttributeDefinition`, `ResolverPlugin<IdPAttribute>`, `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`, `UnmodifiableComponent`, `DisposableBean`

@Deprecated(forRemoval=true, since="4.1.0") public class SAML1NameIdentifierAttributeDefinition extends AbstractAttributeDefinition
Deprecated, for removal: This API element is subject to removal in a future version.
An attribute definition the creates attributes whose values are `NameIdentifier`.

When building the NameIdentifier the textual content of the NameIdentifier is the value of the source attribute. If `getNameIdQualifier()` is non-null, then that value is used as the NameIdentifier's NameQualifier otherwise the attribute issuer's entityID is used.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Deprecated, for removal: This API element is subject to removal in a future version.
Class logger.
`private final SAMLObjectBuilder<NameIdentifier>`
`nameIdentifierBuilder`
Deprecated, for removal: This API element is subject to removal in a future version.
The builder for the object represented inside this attribute.
`private String`
`nameIdFormat`
Deprecated, for removal: This API element is subject to removal in a future version.
Format of the NameID.
`private String`
`nameIdQualifier`
Deprecated, for removal: This API element is subject to removal in a future version.
Name qualifier for the NameID.

## Constructor Summary

Constructors
Constructor
Description
`SAML1NameIdentifierAttributeDefinition()`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected NameIdentifier`
`buildNameId(String nameIdValue, AttributeResolutionContext resolutionContext)`
Deprecated, for removal: This API element is subject to removal in a future version.
Builds a name ID.
`protected IdPAttribute`
`doAttributeDefinitionResolve(AttributeResolutionContext resolutionContext, AttributeResolverWorkContext workContext)`
Deprecated, for removal: This API element is subject to removal in a future version.
Creates and populates the values for the resolved attribute.
`private XMLObjectAttributeValue`
`encodeOneValue(IdPAttributeValue theValue, AttributeResolutionContext resolutionContext)`
Deprecated, for removal: This API element is subject to removal in a future version.
Worker function for doAttributeDefintionResolve.
`String`
`getNameIdFormat()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the format for the NameID used as an attribute value.
`String`
`getNameIdQualifier()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the NameQualifier for the NameID used as an attribute value.
`void`
`setNameIdFormat(String format)`
Deprecated, for removal: This API element is subject to removal in a future version.
Sets the format for the NameID used as an attribute value.
`void`
`setNameIdQualifier(String qualifier)`
Deprecated, for removal: This API element is subject to removal in a future version.
Sets the NameQualifier for the NameID used as an attribute value.

### Methods inherited from class net.shibboleth.idp.attribute.resolver.AbstractAttributeDefinition

`doInitialize, doResolve, getLogPrefix, isDependencyOnly, isPreRequested, setDependencyOnly, setPreRequested`

### Methods inherited from class net.shibboleth.idp.attribute.resolver.AbstractResolverPlugin

`doDestroy, equals, getActivationCondition, getAttributeDependencies, getDataConnectorDependencies, hashCode, isPropagateResolutionExceptions, resolve, setActivationCondition, setAttributeDependencies, setDataConnectorDependencies, setPropagateResolutionExceptions`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.DestructableComponent

`destroy, isDestroyed`

### Methods inherited from interface org.springframework.beans.factory.DisposableBean

`destroy`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

### Methods inherited from interface net.shibboleth.idp.attribute.resolver.ResolverPlugin

`getActivationCondition, getAttributeDependencies, getDataConnectorDependencies, isPropagateResolutionExceptions, resolve`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Deprecated, for removal: This API element is subject to removal in a future version.
Class logger.

### nameIdentifierBuilder

@Nonnull private final SAMLObjectBuilder<NameIdentifier> nameIdentifierBuilder
Deprecated, for removal: This API element is subject to removal in a future version.
The builder for the object represented inside this attribute.

### nameIdFormat

@Nullable private String nameIdFormat
Deprecated, for removal: This API element is subject to removal in a future version.
Format of the NameID.

### nameIdQualifier

@Nullable private String nameIdQualifier
Deprecated, for removal: This API element is subject to removal in a future version.
Name qualifier for the NameID.

## Constructor Details

### SAML1NameIdentifierAttributeDefinition

public SAML1NameIdentifierAttributeDefinition()
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.

## Method Details

### getNameIdFormat

@Nullable public String getNameIdFormat()
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the format for the NameID used as an attribute value.

Returns:
  format for the NameID used as an attribute value

### setNameIdFormat

public void setNameIdFormat(@Nullable String format)
Deprecated, for removal: This API element is subject to removal in a future version.
Sets the format for the NameID used as an attribute value.

Parameters:
  `format` - format for the NameID used as an attribute value

### getNameIdQualifier

@Nullable public String getNameIdQualifier()
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the NameQualifier for the NameID used as an attribute value.

Returns:
  NameQualifier for the NameID used as an attribute value

### setNameIdQualifier

public void setNameIdQualifier(@Nullable String qualifier)
Deprecated, for removal: This API element is subject to removal in a future version.
Sets the NameQualifier for the NameID used as an attribute value.

Parameters:
  `qualifier` - NameQualifier for the NameID used as an attribute value

### buildNameId

@Nonnull protected NameIdentifier buildNameId(@Nonnull @NotEmpty String nameIdValue, @Nonnull AttributeResolutionContext resolutionContext) throws ResolutionException
Deprecated, for removal: This API element is subject to removal in a future version.
Builds a name ID. The provided value is the textual content of the NameIdentifier. If `getNameIdQualifier()` is not null it is used as the NameIdentifier's name qualifier, otherwise the attribute issuer's entityID is used.

Parameters:
  `nameIdValue` - value of the NameIdentifier
  `resolutionContext` - current resolution context
Returns:
  the constructed NameIdentifier
Throws:
  `ResolutionException` - if the IdP Name is empty.

### encodeOneValue

@Nullable private XMLObjectAttributeValue encodeOneValue(@Nonnull IdPAttributeValue theValue, @Nonnull AttributeResolutionContext resolutionContext) throws ResolutionException
Deprecated, for removal: This API element is subject to removal in a future version.
Worker function for doAttributeDefintionResolve. This returns an AttributeValue if the input value is appropriate for encoding as a NameID.

Parameters:
  `theValue` - an arbitrary value.
  `resolutionContext` - the context to get the rest of the values from
Returns:
  null or an attributeValue;
Throws:
  `ResolutionException` - if the IdP Name is empty.

### doAttributeDefinitionResolve

@Nullable protected IdPAttribute doAttributeDefinitionResolve(@Nonnull AttributeResolutionContext resolutionContext, @Nonnull AttributeResolverWorkContext workContext) throws ResolutionException
Deprecated, for removal: This API element is subject to removal in a future version.
Creates and populates the values for the resolved attribute. Implementations should not set, or otherwise manage, the resolved attribute's display name, description or encoders. Nor should the resultant attribute be recorded in the given resolution context.

Specified by:
  `doAttributeDefinitionResolve` in class `AbstractAttributeDefinition`
Parameters:
  `resolutionContext` - current attribute resolution context
  `workContext` - current resolver work context
Returns:
  resolved attribute or null if nothing to resolve.
Throws:
  `ResolutionException` - thrown if there is a problem resolving and creating the attribute